<%= render :partial => 'subnav' -%>
<div id="header">
	<h1 class="skinny">Your posts</h1>
	<h2 class="fat">Gray denotes inactive posts, rows with <span class="future_key">lined background</span> are future posts.</h2><br/>
	<% if flash[:notice] %><div class="green flash"><b>Success:</b> <%= flash[:notice] %></div><% end -%>
</div>
<table class="list" cellspacing="0" cellpadding="0">
	
	<tr>
		<th class="first_col">Created At</th>
		<th>Title</th>
		<th>Excerpt</th>
		<th class="small_col">Comments</th>
		<th class="del_col">X</th>
	</tr>
	
	<% @posts.each_with_index do |post, index| -%>
		<tr class="<% if post.created_at > Time.now %>futurepost <% end %><% if !post.active? %>inactive <% end %><%= cycle('', 'alt_row ') %><%= (index == 1 ? 'first_row' : '') %>">
			<td class="first_col"><%= post.created_at.strftime('%d %b, %Y') %></td>
			<td><%= link_to (post.title == '' ? '[Untitled]' : truncate(post.title, 30)), edit_admin_post_path(post) %></td>
			<td><% tmpc = truncate(post.body, 55) %><%= (tmpc != '' ? tmpc : '&nbsp;') %></td>
			<td class="small_col"><%= post.approved_comments.size %></td>
			<td class="del_col"><%= link_to 'X', '/admin/posts/destroy/' + post.id.to_s, :confirm => "You are about to delete this post. This is permanent.\n\nAre you ABSOLUTELY sure?" %></td>
		</tr>
	<% end -%>
	<% unless @posts.length > 0 -%>
	<tr class="first_row"><td class="first_col" colspan="<% if comments_on == 'yes' %>5<% else %>4<% end %>"><span class="gray">There are no posts at this time.</span></td></tr>
	<% end -%>
</table>
<%= will_paginate(@posts) %>
